package com.oo.seex.netlibrary.net.response;

import java.util.List;

/**
 * 旧接口的服务器返回值转换
 */

public class OldResponseListImpl<T> extends IResponse {

	private int code;
	private String msg;
	private List<T> data;

	public boolean isSuccess() {
		return code == 10000;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public List<T> getData() {
		return data;
	}

	public void setData(List<T> data) {
		this.data = data;
	}

	public int getResultCode(){
		return code;
	}

	public String getResultMssage(){
		return msg;
	}

	public  List<T> getResultData(){
		return data;
	}
}
